function ypred = ar1_fcst2(data,max_step)

ybar = mean(data);
data = data - ybar;

yvar = data(2:end,1);
nobs = max(size(yvar));

xvar = data(1:end-1,1);

rho = inv(xvar'*xvar) * xvar' * yvar;

ypred = zeros(1,max_step);

for j = 1:max_step
    
    ypred(j) = ybar + rho^j * yvar(end,1);
    
end


    
    