function [pvec,hpdband,predicted,bhat] = gibbs_sampler(yvar,xvar,mu0,v0,sig0,niter,burnin,tau)

bhat   = gibbs_lsq(niter,yvar,xvar,mu0,v0,sig0,tau);
pvec   = mean(bhat(burnin:niter,:));
stderr = std(bhat(burnin:niter,:));
tstat  = pvec./stderr;

bhat = bhat(burnin:niter,:);
hpdband = hpdint(bhat(:,1:14),0.90);

bvec = pvec(1:14);
[resids,predicted] = olsresids(bvec,yvar,xvar);

