function [resids,yhat] = olsresids(pvec,yvar,xvar)

    [nobs,nstates] = size(xvar);
    
    rho = pvec(14);
    alp = pvec(1:13);
    
    yhat = (rho*yvar(1:nobs-1,:) + alp(1)*(1-rho) + (xvar(2:nobs,:) - ...
        rho.*xvar(1:nobs-1,:))*alp(2:nstates+1)');
    
    resids = yvar(2:nobs,:)- yhat;
    
    