 function zvec = pdrawsFull(paraDSGE,paraAUX,Yvar0,state,M,epsDSGE,steps)

[TT,QQ,RR,HH,DD,ZZ,VV,RC]=sysmat(paraDSGE);

s = state';

ymat = zeros(7,steps);

[nr,nc] = size(paraAUX);

z = zeros(4,steps+1);
z(:,1) = Yvar0';

epsDSGE = epsDSGE*chol(QQ);

for i = 1:steps
    
    sn  = TT * s + RR * epsDSGE(i,:)';
    ymat(:,i)   = DD + ZZ * sn;
    
    for j = 1:nr
        
        rho = paraAUX(j,13);
        a0  = paraAUX(j,1);
        a1  = paraAUX(j,2:12);
        sg  = sqrt(paraAUX(j,14));
        
        shock = randn(1,1);
    
        z(j,i+1) = rho * z(j,i) + a0*(1-rho) + ...
            (sn' - rho .*s') * M * a1' +  sg * shock;
    end
 
 %z(i+1) = a0 + sn' * M * a1' ;
  
    s = sn;
    
end

zvec = [ymat; z(:,2:end)];

