% IJF-REVISION3
%
% Files
%   altreg                         - 
%   aphahat                        - Estimates of auxiliary variable parameters (alpha hats)
%   ar1_fcst2                      - 
%   asPlot_cpce                    - Driver program for Gibbs sampler estimator auxiliary variables model
%   asPlot_hs                      - Driver program for Gibbs sampler estimator auxiliary variables model
%   asPlot_pce                     - Driver program for Gibbs sampler estimator auxiliary variables model
%   asPlot_ur                      - Driver program for Gibbs sampler estimator auxiliary variables model
%   aux_cpce                       - Driver program for Gibbs sampler estimator auxiliary variables model
%   aux_hs                         - Driver program for Gibbs sampler estimator auxiliary variables model
%   aux_pce                        - Driver program for Gibbs sampler estimator auxiliary variables model
%   aux_ur                         - Driver program for Gibbs sampler estimator auxiliary variables model
%   auxest                         - Estimate Auxiliary Models
%   auxfcst                        - Read in the data. The program auxest.m must have been run first to
%   condFcst_student_final         - conditional forecasting
%   delif                          - 
%   Diebold_Mariano                - Desc: Computes Diebold-Mariano (DM) and Modified Diebold-Mariano (MDM) 
%   dsge_rmse                      - This program generates the results in Table 2 of the paper. 
%   dsgeRrmse                      - This program generates the results in Table 2 of the paper. 
%   dsgesimul                      - Generate autocorrelation from model simulated data and compare them to
%   dsgesolv                       - Set names to parameters
%   evalmod                        - /********************************************************************
%   fcast_auxvars2                 - Forecast auxiliary variables.
%   fcast_mvars2                   - Forecast DSGE model state variables.
%   FcstSetup                      - Get estimation sample period data and set the state selection matrix M
%   figure1                        - Model Diagnostics
%   fstep                          - 
%   genrstates                     - /** initialize **/
%   GetConditionalForecast_Student - [cf, u_var, c_var] = 
%   gibbs_lsq                      - Gibbs sampler test case 
%   gibbs_sampler                  - 
%   hessn                          - Compute Hessian
%   hessn_fcn                      - Objective function for hessian computation
%   hpdint                         - 
%   impulseFigs                    - Program to calculate impulse responses from estimated DSGE model
%   insamplefit                    - Driver program for in sample fit of estimated DSGE model
%   invtrans                       - /* this procedure transforms variables from model to max
%   irFigs                         - Program to calculate impulse responses from estimated DSGE model
%   lngam                          - /* This procedure computes the log-gamma function
%   loaddata                       - $Id: loaddata.m,v 1.2 2008/02/13 15:08:33 keith Exp keith $	
%   lpdfbeta                       - /* log BETA PDF
%   lpdfgam                        - /* log GAMMA PDF
%   lpdfig                         - /* log INVERSE GAMMA
%   lpdfnor                        - /* log NORMAL PDF
%   margLambdaV2                   - Subroutine to compute marginal likelihood of lambda given the data
%   mhcov                          - evaluate hessian at posterior mode
%   mhstep                         - 
%   mhstep_fcn                     - MH sampling function definition
%   mhstep_resume                  - 
%   minout                         - load optim_out.mat
%   modeldiag                      - Model Diagnostics
%   nkmp_pm                        - dsge_pm.m
%   normt_rnd                      - 
%   objfcn                         - Inputted parameter values are transformations of model parameters for
%   objmin                         - Use Sims' csminwel to maximize the log likelihood function 'objfcn'.
%   olsresids                      - 
%   parameter_estimates            - YY        = loaddata('usModelData.csv');
%   paramom                        - Interval calculation for parameter estimates
%   pdrawsAUX                      - 
%   pdrawsDSGE                     - 
%   pdrawsFull                     - 
%   pdrawsSim                      - 
%   predDist                       - Predictive distribution script
%   priodens                       - /* This procedure computes a prior density for
%   prtr                           - ******************************************************************************
%   randraw                        - EFFICIENT RANDOM VARIATES GENERATOR
%   reduced_gibbs_lsq              - Gibbs sampler test case 
%   state_fcst2                    - Generate model state variable sequence
%   SubSampleAuxDraws              - Sub sample draws from the auxiliary model estimates 
%   SubsampleDsgeDraws             - Subsample draws from the Metropolis Hastings run on the DSGE model
%   sysmat                         - Set names to parameters
%   theory_reduction               - Calculate RMSE reduction ratios given a numerator array, a denominator
%   trans                          - /* this procedure transforms variables from max to model
%   xcorr                          - Cross-correlation function estimates.
%   xcov                           - Cross-covariance function estimates.
