function mparamat = SubSampleAuxDraws(fname,nskip)
%
% Sub sample draws from the auxiliary model estimates 
%

load(fname);
[nsim,npara] = size(bhat);

burnin   = floor(0.10*nsim);
ndraws   = floor((nsim-burnin)/nskip);
paramat  = bhat(burnin:end,:);
mparamat = zeros(ndraws,npara);


for i = 1:ndraws
    mparamat(i,:) = paramat(i*nskip,:);
end
