
function [para,spara,rej_pct] = parameter_estimates(filename)


% YY        = loaddata('usModelData.csv');
% [nobs,ny] = size(YY);
YY = csvread('usModelData.csv',118,1,[118,1,185,7]);

mean_mat = zeros(70,40);

nblocks = 70;
nsim    = 10000;
npara   = 40;

paramat = zeros(nblocks*nsim,npara);
trej = 0;

for i = 1:nblocks
    
    clear fname parasim;
    
    fname = strcat(filename,num2str(i+(100-nblocks)));
    load(fname,'parasim','rej');
    ridx1 = (i-1)*nsim + 1;
    ridx2 = i*nsim;
    paramat(ridx1:ridx2,:) = parasim;
    trej = sum(rej) + trej;
    
end

% Parameter Estimates and Standard Errors

% mean and standard deviation of draws
para = mean(paramat);
spara = std(paramat);
rej_pct = trej/(nblocks*nsim);
